<?php

namespace Modules\Channel;

use Catch\Support\Module\Installer as ModuleInstaller;
use Modules\Channel\Providers\ChannelServiceProvider;

class Installer extends ModuleInstaller
{
    protected function info(): array
    {
        // TODO: Implement info() method.
        return [
            'title' => '渠道管理',
            'name' => 'channel',
            'path' => 'channel',
            'keywords' => '渠道管理',
            'description' => '渠道管理模块',
            'provider' => ChannelServiceProvider::class
        ];
    }

    protected function requirePackages(): void
    {
        // TODO: Implement requirePackages() method.
    }

    protected function removePackages(): void
    {
        // TODO: Implement removePackages() method.
    }
}
